Page MenuHomePhabricator

Edit Cards: deploy v4 to all wikis
Closed, ResolvedPublic

Description

Design: @iamjessklein
Design review: @cmadeo
Engineering: ??
Engineering review:??


Why are we doing this?

The last update to the edit cards fixed an interaction problem where users were getting confused over the multiple button option in the link label and target cards. We solved this problem by unifying the experience, having one card with one edit button. Through user testing we determined that the solution was plausible and in turn, moved forward with the fix. However, the fix did not go through a final design review, and as a result, there is still an opportunity for user interface improvements to the solution.

User story

As an editor on the mobile Visual Editor web app, I'd like to be able to tap an edit link button, read the contents on the card and understand what the text links to as well as learn the edit options that are available to me.

Proposal

This section includes the improvements that should be implemented in our next edit cards release

Event Timeline

ppelberg created this task.Aug 27 2019, 3:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 27 2019, 3:56 PM
iamjessklein updated the task description. (Show Details)Aug 29 2019, 3:36 PM
iamjessklein added subscribers: iamjessklein, cmadeo.

This is what the link edit card currently looks like:

ppelberg updated the task description. (Show Details)Aug 30 2019, 1:24 AM

Update to task description:

  • Adding explainer text to "Proposal" section
  • Adding T228230 to "Proposal" section

Context: T228230#5453158

iamjessklein updated the task description. (Show Details)Aug 30 2019, 2:13 PM

I updated the description with the edit card ui design sub-task ticket T231649

iamjessklein updated the task description. (Show Details)Aug 30 2019, 2:16 PM
iamjessklein updated the task description. (Show Details)
ppelberg updated the task description. (Show Details)Aug 30 2019, 4:52 PM
ppelberg added a subscriber: Esanders.

Update to task description:

ppelberg closed this task as Resolved.Oct 9 2019, 1:06 AM
ppelberg claimed this task.